Commit 8b16d227 authored by Pekka Pessi's avatar Pekka Pessi

Fix cross-references for doxygen

parent ff4bf6dd
...@@ -59,7 +59,7 @@ CLEANFILES = $(dist_man_MANS) ...@@ -59,7 +59,7 @@ CLEANFILES = $(dist_man_MANS)
built-sources clean-built-sources valcheck doxygen: built-sources clean-built-sources valcheck doxygen:
@failcom='exit 1'; for f in x $$MAKEFLAGS; do \ @failcom='exit 1'; for f in x $$MAKEFLAGS; do \
case $$f in *=* | --[!k]*);; *k*) failcom='fail=yes';; esac; done; \ case $$f in *=* | --[!k]*);; *k*) failcom='fail=yes';; esac; done; \
for i in libsofia-sip-ua $(GLIB_SUBDIRS) ; do \ for i in utils libsofia-sip-ua $(GLIB_SUBDIRS) ; do \
(cd $$i && $(MAKE) $(AM_MAKEFLAGS) $@) || eval $$failcom; \ (cd $$i && $(MAKE) $(AM_MAKEFLAGS) $@) || eval $$failcom; \
done ; \ done ; \
test -z "$$fail" test -z "$$fail"
......
...@@ -68,7 +68,7 @@ checklib: checklib-recursive $(lib_LTLIBRARIES) ...@@ -68,7 +68,7 @@ checklib: checklib-recursive $(lib_LTLIBRARIES)
doxygen: built-sources doxygen: built-sources
@echo Generating empty doxytags @echo Generating empty doxytags
mkdir -p docs/html ; \ @mkdir -p docs/html ; \
for d in $(DIST_SUBDIRS); do \ for d in $(DIST_SUBDIRS); do \
test -r $$d/Doxyfile || continue ; \ test -r $$d/Doxyfile || continue ; \
if ! test -r docs/$$d.doxytags ; then \ if ! test -r docs/$$d.doxytags ; then \
...@@ -79,7 +79,7 @@ doxygen: built-sources ...@@ -79,7 +79,7 @@ doxygen: built-sources
mv -f docs/$$d.doxytags.tmp docs/$$d.doxytags ; \ mv -f docs/$$d.doxytags.tmp docs/$$d.doxytags ; \
fi ; \ fi ; \
done done
for d in $(DIST_SUBDIRS); do \ @for d in $(DIST_SUBDIRS); do \
( test -r $$d/Doxyfile && \ ( test -r $$d/Doxyfile && \
cd $$d > /dev/null && \ cd $$d > /dev/null && \
echo running ${DOXYGEN} first time in $$d && \ echo running ${DOXYGEN} first time in $$d && \
...@@ -90,9 +90,9 @@ doxygen: built-sources ...@@ -90,9 +90,9 @@ doxygen: built-sources
docs/$$d.doxytags > docs/$$d.doxytags.tmp && \ docs/$$d.doxytags > docs/$$d.doxytags.tmp && \
mv -f docs/$$d.doxytags.tmp docs/$$d.doxytags ; \ mv -f docs/$$d.doxytags.tmp docs/$$d.doxytags ; \
done done
for d in $(DIST_SUBDIRS); do \ @for d in $(DIST_SUBDIRS); do \
( test -r $$d/Doxyfile && \ ( test -r $$d/Doxyfile && \
cd $$d > /dev/null \ cd $$d > /dev/null && \
echo running ${DOXYGEN} second time in $$d && \ echo running ${DOXYGEN} second time in $$d && \
${DOXYGEN} 2>&1 ) | \ ${DOXYGEN} 2>&1 ) | \
egrep -v -i -e 'Warning: Unsupported (xml/)?html tag' ; \ egrep -v -i -e 'Warning: Unsupported (xml/)?html tag' ; \
......
...@@ -18,9 +18,8 @@ LDADD = ../libsofia-sip-ua/libsofia-sip-ua.la $(GLIB_LIBS) ...@@ -18,9 +18,8 @@ LDADD = ../libsofia-sip-ua/libsofia-sip-ua.la $(GLIB_LIBS)
# ---------------------------------------------------------------------- # ----------------------------------------------------------------------
# Dist and install # Dist and install
EXTRA_DIST = utils.docs
CLEANFILES = utils.doxytags EXTRA_DIST = utils.docs
# ---------------------------------------------------------------------- # ----------------------------------------------------------------------
# Sofia specific rules # Sofia specific rules
...@@ -28,3 +27,10 @@ CLEANFILES = utils.doxytags ...@@ -28,3 +27,10 @@ CLEANFILES = utils.doxytags
include $(top_srcdir)/rules/sofia.am include $(top_srcdir)/rules/sofia.am
INCLUDES = ${INTERNAL_INCLUDES} INCLUDES = ${INTERNAL_INCLUDES}
built-sources clean-built-sources valcheck:
doxygen:
doxygen
PHONY = built-sources clean-built-sources valcheck doxygen
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment